FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000616FL56. Access Control, Logging and Errorhandlingpublic2014-12-08 14:002015-04-15 15:30
ReporterRolf-Dieter Euler 
Assigned ToFalk Reichbott 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.2 
Target VersionFixed in Version5.1.03 
Summary0000616: Function fliconv_geterrno usable in COBOL/Assembler/... desired
DescriptionEs ist in Cobol nicht möglich, an die ERRNO-Variable einer C-Routine zu kommen, z.B. wenn ein fliconv-Aufruf schief geht. Da diese eine wichtige Angabe zur Programmsteuerung ist, wird ein neuer Funktionsaufruf benötigt, denn die Schnittstellen sind bereits veröffentlicht und sollten sich nicht ändern.

Könnte so aussehen:

int fliconv_geterrno(void *cd)

Damit ließe sich dann ggf. fliconv_strerror aufrufern.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000710)
Falk Reichbott (administrator)
2014-12-09 09:55

Add the new functions below to the FLUC iconv interface:

  fliconv_seterrno(0) - to set errno in front of a call to 0
  r=fliconv_geterrno() - retunrs errno as int, to use it in flicnv_strerror(r)
  fliconv_chkerrno(r,1) - to check the errno against platfrom neutral integer values (1==EINVAL)

- Issue History
Date Modified Username Field Change
2014-12-08 14:00 Rolf-Dieter Euler New Issue
2014-12-08 14:00 Rolf-Dieter Euler Status new => assigned
2014-12-08 14:00 Rolf-Dieter Euler Assigned To => Falk Reichbott
2014-12-09 09:52 Falk Reichbott View Status private => public
2014-12-09 09:55 Falk Reichbott Note Added: 0000710
2014-12-09 09:55 Falk Reichbott Status assigned => resolved
2014-12-09 09:55 Falk Reichbott Fixed in Version => 5.1
2014-12-09 09:55 Falk Reichbott Resolution open => fixed
2014-12-09 09:56 Falk Reichbott Note View State: 0000710: public
2015-04-15 15:30 Falk Reichbott Fixed in Version 5.1 => 5.1.03


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker